Loading...
Searching...
No Matches
HessianFactor.cpp File Reference

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::Dims = std::vector<Key>

## Functions

std::pair< boost::shared_ptr< GaussianConditional >, boost::shared_ptr< HessianFactor > > | gtsam::EliminateCholesky (const GaussianFactorGraph &factors, const Ordering &keys)
| Densely partially eliminate with Cholesky factorization.
std::pair< boost::shared_ptr< GaussianConditional >, boost::shared_ptr< GaussianFactor > > | gtsam::EliminatePreferCholesky (const GaussianFactorGraph &factors, const Ordering &keys)
| Densely partially eliminate with Cholesky factorization.

## Detailed Description

Author
  Richard Roberts

Date
  Dec 8, 2010